Description

it would be great if more Idap-fields could be defined which are being displayed on a more detailed personal user-page.
the advantage would be that you could more detailed information on a user direct from a central maintained instance like an
active-directory.

History

#1 - 2008-07-28 18:28 - Azamat Hackimov

For what? | not have any idea, why someone must reveal their personal data to other.
#2 - 2010-10-08 17:05 - Slava Karg
Totally agree with Topic Caster.

Our company use redmine with LDAP Authentification. Everything is ok, but we want Redmine to grab more attributes about users from LDAP. For
example phone number, skype id, etc. So that members of projects could get more information about each other via redmine interface.

Now there are only four fields available: Login, Firstname, Lastname and Email...
Is there any way to extend this functional?
#3 - 2010-10-08 17:56 - Felix Schéfer
Slava Karg wrote:
Is there any way to extend this functional?

If you're ready to get your hands dirty: have a look at my LDAP and displayname branches, the first extending LDAP support to also allow write
operations by users (i.e. change attributes), the second adding the displayname field to users.

#4 - 2017-05-17 12:42 - fabio meoli

+1

#5 - 2017-06-15 15:12 - Toshi MARUYAMA

- Description updated

#6 - 2017-06-15 15:12 - Toshi MARUYAMA
- Subject changed from Invdividual LDAP fields to Individual LDAP fields

2025-05-17 1/1



http://orga.fachschaften.org/projects/redmine-fsenorg/repository/show?rev=ldap
http://orga.fachschaften.org/projects/redmine-fsenorg/repository/show?rev=displayname
http://www.tcpdf.org

